一直在使用firefox3.6.x,并不知道外界发生了什么,一向也使用这款小明牌电台工具,但是我使用的版本已经很老了,却一直不更新。最近在豆瓣上听到有人在喊要这款扩展,当时我就蒙了,不是一直有下载么?

后来有人说迫于豆瓣的压力,作者放弃了该项目了,并且主动要求删除firefox addons的下载。。。怎么说呢?我有点无奈,唉,不评论了。今天主要是想说说如何让老版本的xpi扩展被新版本的firefox所支持,还有另外的一件事就是提供这款扩展的下载。

先解决第一件事:让老版本的xpi被新版本的firefox所支持。其实这个也挺简单的,但是不是对所有的扩展都生效。只能说对绝大部分的扩展都work。以小明牌电台工具为例。首先我们下载了这款以xpi为后缀的扩展。修改后缀为zip之后解压。如图:

然后在文件夹下面找到一个叫“install.rdf”的文件,用记事本打开后搜索“em:maxVersion=”来到了如图位置。

把这个等于=后面的版本改为高于你所使用的firefox版本即可。我这里改为16.x 我想火狐即便是几周就升级一个版本,但是去到16版,应该还有很长一段的日子吧?呵呵。

PS:解释一下,这个maxVersion是指该扩展所支持的最大的firefox的版本。

好了,然后把改后的扩展重新打包为zip文件,最后就是把这个zip文件的后缀改为xpi就可以正常安装了。

下面提供一下这款小明牌电台工具的下载地址:点我下载 (供一些懒人们下载~~~~)

2012-04-25更新:该款扩展在官网的版本已经失效,想要下载小名牌电台工具的朋友可以移步到这里下载修正版

藏剑山庄原创文章,未经允许,禁止转载!

原文链接:http://blog.yanwen.org/archives/828.html